Support » Plugin: Name Directory » Latest Update Broke Plugin

  • Resolved leftyfro

    (@leftyfro)


    Latest update broke the plugin. Activating the plugin causes issues, with the frontend and sometimes backend not loading. One error it reports is

    uncaught error wp-includes/capabilities.php on line 668

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author jeroenpeters1986

    (@jeroenpeters1986)

    Hey @leftyfro

    Everything looked well on my end, I will fix it asap, so that 1.16 will be the leading stable tag again.
    I hope to have fixed this in a few minutes.

    Kind regards,

    Jeroen Peters

    Plugin Author jeroenpeters1986

    (@jeroenpeters1986)

    Also, if you have more information or error messages, this would be great!

    Thread Starter leftyfro

    (@leftyfro)

    Of course. I turned the plugin on again. The backend is fine, but it won’t display the site. I get the following:

    Fatal error: Uncaught Error: Call to undefined function wp_get_current_user() in /Users/kelliroos/Local Sites/grant-select/app/public/wp-includes/capabilities.php on line 668
    ( ! ) Error: Call to undefined function wp_get_current_user() in /Users/kelliroos/Local Sites/grant-select/app/public/wp-includes/capabilities.php on line 668

    Also, this table (which will probably not be formatted correctly) appeared below the errors I’ve listed above.

    Call Stack
    #
    Time
    Memory
    Function
    Location
    1
    0.0001
    408152
    {main}( )
    .../index.php:0
    2
    0.0001
    408424
    require( '/Local Sites/grant-select/app/public/wp-blog-header.php' )
    .../index.php:17
    3
    0.0001
    408968
    require_once( '/Local Sites/grant-select/app/public/wp-load.php' )
    .../wp-blog-header.php:13
    4
    0.0002
    409408
    require_once( '/Local Sites/grant-select/app/public/wp-config.php' )
    .../wp-load.php:37
    5
    0.0002
    414088
    require_once( '/Local Sites/grant-select/app/public/wp-settings.php' )
    .../wp-config.php:77
    6
    0.0306
    3420680
    include_once( '/Local Sites/grant-select/app/public/wp-content/plugins/name-directory/index.php' )
    .../wp-settings.php:377
    7
    0.0307
    3423736
    current_user_can( )
    .../index.php:95
    • This reply was modified 6 months ago by leftyfro.
    Plugin Author jeroenpeters1986

    (@jeroenpeters1986)

    Hi @leftyfro,

    I released a new version, can you please let me know if this works for you?

    Kind regards,

    Jeroen Peters

    Thread Starter leftyfro

    (@leftyfro)

    Hello @jeroenpeters1986

    Everything is running smoothly again, thank you so much!

    Plugin Author jeroenpeters1986

    (@jeroenpeters1986)

    @leftyfro great to hear and thank you for taking the time and bringing this to my attention so quickly, and also for using the plugin!

    Kind regards, Jeroen Peters

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Latest Update Broke Plugin’ is closed to new replies.